Open claim
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET'};
fetch('https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}"
response = requests.get(url)
print(response.text){
"church": "TKTChurch Lagos",
"invited_by": "Amina D.",
"status": "pending"
}{
"error": "not_found",
"error_description": "Client not found"
}Open claim
Public claim metadata. Token is an opaque single-use string, never a JWT.
GET
/
api
/
v1
/
membership-claims
/
{token}
Open claim
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET'};
fetch('https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/membership-claims/{token}"
response = requests.get(url)
print(response.text){
"church": "TKTChurch Lagos",
"invited_by": "Amina D.",
"status": "pending"
}{
"error": "not_found",
"error_description": "Client not found"
}Path Parameters
Claim token
Example:
"clm_7H2k9Q"
Response
Success
